Bug 118356 - GTK3: opening sort dialog takes a long time
Summary: GTK3: opening sort dialog takes a long time
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.0.beta2+
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.1.0.1
Keywords: bibisected, bisected, haveBacktrace, perf, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2018-06-24 20:56 UTC by Jean-Baptiste Faure
Modified: 2018-06-26 11:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Callgrind output from master (2.38 MB, application/x-xz)
2018-06-25 10:31 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Faure 2018-06-24 20:56:42 UTC
Step to reproduce:
1/ open a new empty file in Calc
2/ click the sort button or menu Data > Sort...

The dialog take a very long time to appear if the backend is GTK3. It is instantaneous with backend GTK2. With GTK3, it does not depend if OpenGL is enable or not.
Reproducible with current master too.

Does not happen in LO 6.0.4, so regression.

Version: 6.1.0.0.beta2+
Build ID: 1c3ed9156690577f28eda3d0638e89c64ad231d8
Threads CPU : 4; OS : Linux 4.4; UI Render : par défaut; VCL: gtk3; 
Ubuntu_16.04_x86-64
Locale : fr-FR (fr_FR.UTF-8); Calc: threaded

Version: 6.2.0.0.alpha0+
Build ID: 03c14b836ab03735870b36c2388fd88782b97550
CPU threads: 4; OS: Linux 4.4; UI render: GL; VCL: gtk2; 
Ubuntu_16.04_x86-64
Locale: fr-FR (fr_FR.UTF-8); Calc: threaded

Best regards. JBF
Comment 1 Xisco Faulí 2018-06-25 10:14:41 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2018-05-18 13:20:07 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-05-21 21:40:03 +0200
commit	52eb2804bb4403e74483ee49bfcb4539065d7143 (patch)
tree	772c2adba0f2049e3a7b981e7a918148749ccb22
parent	2632adfbc2a664ab99de7e24d6fcd6841a10b6f1 (diff)
weld ScSortDlg, ScTabPageSortOptions and ScTabPageSortFields

Bisected with: bibisect-linux64-6.1

Adding Cc: to Caolán McNamara
Comment 2 Buovjaga 2018-06-25 10:31:39 UTC
Created attachment 143095 [details]
Callgrind output from master

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 5b42a17dc99fba2ccf8dd8d0a8e0e4e836e30120
CPU threads: 8; OS: Linux 4.17; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on June 22nd 2018
Comment 3 Buovjaga 2018-06-25 18:30:17 UTC
I noticed Insert - Special character also takes a ton of time with GTK3
Comment 4 Xisco Faulí 2018-06-25 19:01:19 UTC
(In reply to Buovjaga from comment #3)
> I noticed Insert - Special character also takes a ton of time with GTK3

Would you mind reporting it in a different ticket ?
Comment 5 Commit Notification 2018-06-26 08:00:36 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=96c43a21da48e9ef50f199b9418e089da42a8ebb

Resolves: tdf#118356 freeze/thaw mass language additions

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-06-26 08:00:46 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5ec647b773670191d51b03b7f668024c046643d8&h=libreoffice-6-1

Resolves: tdf#118356 freeze/thaw mass language additions

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Buovjaga 2018-06-26 10:53:16 UTC
Data - Sort is now snappy to open

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: eff395c2d2a3026d9d65121e273af336fb0cfb19
CPU threads: 8; OS: Linux 4.17; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on June 26th 2018
Comment 8 Jean-Baptiste Faure 2018-06-26 11:50:42 UTC
Verified fixed in Version: 6.1.0.0.beta2+
Build ID: 5ec647b773670191d51b03b7f668024c046643d8
Threads CPU : 4; OS : Linux 4.4; UI Render : par défaut; VCL: gtk3; 
Ubuntu_16.04_x86-64
Locale : fr-FR (fr_FR.UTF-8); Calc: threaded

Thank you very much !

Best regards. JBF